curl --request GET \
--url https://qwoty.app/api/product-parents/{id} \
--header 'Authorization: <authorization>'{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Premium Widget",
"api_name": "premium_widget",
"recurrence_type": "recurring",
"catalog_ids": ["660e8400-e29b-41d4-a716-446655440001"],
"product_ids": ["770e8400-e29b-41d4-a716-446655440002"]
}
}
Retrieve a specific product parent by ID
curl --request GET \
--url https://qwoty.app/api/product-parents/{id} \
--header 'Authorization: <authorization>'{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Premium Widget",
"api_name": "premium_widget",
"recurrence_type": "recurring",
"catalog_ids": ["660e8400-e29b-41d4-a716-446655440001"],
"product_ids": ["770e8400-e29b-41d4-a716-446655440002"]
}
}
Documentation Index
Fetch the complete documentation index at: https://docs.qwoty.io/llms.txt
Use this file to discover all available pages before exploring further.
Bearer qwoty_your_tokencurl https://qwoty.app/api/product-parents/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer qwoty_your_token"
{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Premium Widget",
"api_name": "premium_widget",
"recurrence_type": "recurring",
"catalog_ids": ["660e8400-e29b-41d4-a716-446655440001"],
"product_ids": ["770e8400-e29b-41d4-a716-446655440002"]
}
}
{
"success": false,
"error": "Product parent not found"
}
Was this page helpful?